## kmediaplayer 5.104.0

=== debian/changelog ===
kmediaplayer (5.104.0-0xneon+22.04+jammy+release+build25) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 21:18:09 +0000

kmediaplayer (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:35:42 +0000

kmediaplayer (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:57:14 +0000

kmediaplayer (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:59:01 +0000

kmediaplayer (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:08:00 +0000

kmediaplayer (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:23:11 +0000

kmediaplayer (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:31:08 +0000

kmediaplayer (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:04:07 +0000

kmediaplayer (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:34:54 +0000

kmediaplayer (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 10:57:51 +0000

kmediaplayer (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:38:26 +0000

kmediaplayer (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:18:49 +0000

kmediaplayer (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:27:39 +0000

kmediaplayer (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:53:49 +0000

kmediaplayer (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 02:01:06 +0000

kmediaplayer (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:09:52 +0000

kmediaplayer (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:19:16 +0000

kmediaplayer (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:27:01 +0000

kmediaplayer (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:17:22 +0000

kmediaplayer (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:12:18 +0000

kmediaplayer (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:17:25 +0000

kmediaplayer (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:58:43 +0000

kmediaplayer (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:14:52 +0000

kmediaplayer (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:06:20 +0000

kmediaplayer (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:31:40 +0000

kmediaplayer (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:43:06 +0000

kmediaplayer (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:29:53 +0000

kmediaplayer (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:26:28 +0000

kmediaplayer (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:38:12 +0000

kmediaplayer (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:54:56 +0000

kmediaplayer (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:42:31 +0000

kmediaplayer (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:20:05 +0000

kmediaplayer (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:21:52 +0000

kmediaplayer (5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2020 21:05:31 +0000

kmediaplayer (5.66.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Jan 2020 13:25:18 +0000

kmediaplayer (5.65.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2019 17:38:12 +0000

kmediaplayer (5.64.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Nov 2019 14:01:45 +0000

kmediaplayer (5.63.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Oct 2019 21:23:47 +0000

kmediaplayer (5.62.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Sep 2019 11:20:57 +0000

kmediaplayer (5.61.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Aug 2019 18:53:12 +0000

kmediaplayer (5.60.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 13 Jul 2019 15:46:42 +0000

kmediaplayer (5.59.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jun 2019 18:10:57 +0000

kmediaplayer (5.58.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 May 2019 13:16:03 +0000

kmediaplayer (5.57.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Apr 2019 08:43:44 +0000

kmediaplayer (5.56.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Mar 2019 15:57:34 +0000

kmediaplayer (5.55.0-0neon) bionic; urgency=medium

  * New release



=== debian/control ===
Source: kmediaplayer
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.51.0~),
               libkf5kio-dev (>= 5.41.0~),
               libkf5parts-dev (>= 5.51.0~),
               libkf5xmlgui-dev (>= 5.51.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               xauth,
               xvfb
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kmediaplayer
Vcs-Git: https://invent.kde.org/neon/kde/kmediaplayer.git
Vcs-Browser: https://invent.kde.org/neon/kde/kmediaplayer
Maintainer: Neon CI <neon@kde.org>

Package: libkf5mediaplayer-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5mediaplayer5 (<= 5.0.0-0ubuntu1~ubuntu14.10~ppa3)
Replaces: libkf5mediaplayer5 (<= 5.0.0-0ubuntu1~ubuntu14.10~ppa3)
Description: Plugin interface for media player features.
 It provides all of the necessary media player operations,
 and optionally provides the GUI to control them.
 .
 There are two servicetypes for Player:
 KMediaPlayer/Player and KMediaPlayer/Engine.
 KMediaPlayer/Player provides a widget (accessible
 through view as well as XML GUI KActions.
 KMediaPlayer/Engine omits the user interface facets,
 for those who wish to provide their own interface.
 .
 This package contains the data files.

Package: libkf5mediaplayer-dev
Section: libdevel
Architecture: any
Depends: libkf5mediaplayer5 (= ${binary:Version}),
         libkf5parts-dev (>= 5.51.0~),
         ${misc:Depends}
Description: Plugin interface for media player features.
 It provides all of the necessary media player operations,
 and optionally provides the GUI to control them.
 through view as well as XML GUI KActions.
 KMediaPlayer/Engine omits the user interface facets,
 for those who wish to provide their own interface.
 .
 Contains development files for kmediaplayer.
Breaks: libkf5kdelibs4support-dev (<< 5.51)

Package: libkf5mediaplayer5
Architecture: any
Multi-Arch: same
Depends: libkf5mediaplayer-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plugin interface for media player features.
 It provides all of the necessary media player operations,
 and optionally provides the GUI to control them.
 .
 There are two servicetypes for Player:
 KMediaPlayer/Player and KMediaPlayer/Engine.
 KMediaPlayer/Player provides a widget (accessible
 through view as well as XML GUI KActions.
 KMediaPlayer/Engine omits the user interface facets,
 for those who wish to provide their own interface.

## kmediaplayer 5.109.0

=== debian/changelog ===
kmediaplayer (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:50:07 +0100

kmediaplayer (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:21:17 +0100

kmediaplayer (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:06:23 +0100

kmediaplayer (5.106.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.106.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:47:06 +0100

kmediaplayer (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:17:22 +0000

kmediaplayer (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:44:14 +0000

kmediaplayer (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:57:50 +0000

kmediaplayer (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:21:24 +0000

kmediaplayer (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:15:46 +0000

kmediaplayer (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:00:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: kmediaplayer
 Section: libs
 Priority: optional
-Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
-               extra-cmake-modules (>= 5.51.0~),
-               libkf5kio-dev (>= 5.41.0~),
-               libkf5parts-dev (>= 5.51.0~),
-               libkf5xmlgui-dev (>= 5.51.0~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.109.0~),
+               libkf5parts-dev (>= 5.109.0~),
+               libkf5xmlgui-dev (>= 5.109.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.15.2~),
                xauth,
-               xvfb
-Standards-Version: 4.1.4
-Homepage: https://projects.kde.org/projects/frameworks/kmediaplayer
-Vcs-Git: https://invent.kde.org/neon/kde/kmediaplayer.git
-Vcs-Browser: https://invent.kde.org/neon/kde/kmediaplayer
-Maintainer: Neon CI <neon@kde.org>
+               xvfb,
+Standards-Version: 4.6.0
+Homepage: https://invent.kde.org/frameworks/kmediaplayer
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
+Rules-Requires-Root: no
 
 Package: libkf5mediaplayer-data
 Architecture: all
@@ -41,8 +42,8 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.51.0~),
-         ${misc:Depends}
+         libkf5parts-dev (>= 5.109.0~),
+         ${misc:Depends},
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,
  and optionally provides the GUI to control them.
@@ -51,14 +52,14 @@
  for those who wish to provide their own interface.
  .
  Contains development files for kmediaplayer.
-Breaks: libkf5kdelibs4support-dev (<< 5.51)
+Breaks: libkf5kdelibs4support-dev (<< 5.54)
 
 Package: libkf5mediaplayer5
 Architecture: any
 Multi-Arch: same
 Depends: libkf5mediaplayer-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,
  and optionally provides the GUI to control them.

## kmediaplayer 5.110.0

=== debian/changelog ===
kmediaplayer (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:08:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.109.0~),
-               libkf5parts-dev (>= 5.109.0~),
-               libkf5xmlgui-dev (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
+               libkf5parts-dev (>= 5.110.0~),
+               libkf5xmlgui-dev (>= 5.110.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                xauth,
@@ -42,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.109.0~),
+         libkf5parts-dev (>= 5.110.0~),
          ${misc:Depends},
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,

## kmediaplayer 5.113.0

=== debian/changelog ===
kmediaplayer (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:44:19 +0000

kmediaplayer (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:49:12 +0000

kmediaplayer (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:58:54 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.110.0~),
-               libkf5parts-dev (>= 5.110.0~),
-               libkf5xmlgui-dev (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
+               libkf5parts-dev (>= 5.113.0~),
+               libkf5xmlgui-dev (>= 5.113.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                xauth,
@@ -42,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.110.0~),
+         libkf5parts-dev (>= 5.113.0~),
          ${misc:Depends},
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,

## kmediaplayer 5.115.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.115.0") # handled by release scripts
set(KF_DEP_VERSION "5.115.0") # handled by release scripts
project(KMediaPlayer VERSION ${KF_VERSION})


#
# CMake stuff from ECM
#
include(FeatureSummary)
find_package(ECM 5.115.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMDeprecationSettings)
include(CMakePackageConfigHelpers)


#
# Version info
#
ecm_setup_version(PROJECT
   VARIABLE_PREFIX KMEDIAPLAYER
   VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kmediaplayer_version.h"
   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaPlayerConfigVersion.cmake"
   SOVERSION 5)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kmediaplayer_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KMediaPlayer
        COMPONENT Devel)


#
# Dependencies
#
set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

find_package(KF5Parts ${KF_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF_DEP_VERSION} REQUIRED)


#
# Subdirectories
#
ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

#
# Config.cmake stuff
#
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MediaPlayer")
configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5MediaPlayerConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaPlayerConfig.cmake"
   INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaPlayerConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaPlayerConfig.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5MediaPlayerTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5MediaPlayerTargets.cmake
        NAMESPACE KF5::)


#
# Feature summary
#
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kmediaplayer (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:34:09 +0000

kmediaplayer (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:08:05 +0000

kmediaplayer (5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 08:01:43 -0700

kmediaplayer (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:23:46 -0700

kmediaplayer (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:57:28 -0700

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.113.0~),
-               libkf5parts-dev (>= 5.113.0~),
-               libkf5xmlgui-dev (>= 5.113.0~),
+               extra-cmake-modules (>= 5.115.0~),
+               libkf5parts-dev (>= 5.115.0~),
+               libkf5xmlgui-dev (>= 5.115.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                xauth,
@@ -42,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.113.0~),
+         libkf5parts-dev (>= 5.115.0~),
          ${misc:Depends},
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/portingAids/kmediaplayer-([\d.]+)\.tar\.xz

## kmediaplayer 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0") # handled by release scripts
-set(KF_DEP_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KMediaPlayer VERSION ${KF_VERSION})
 
 
@@ -9,7 +9,7 @@
 # CMake stuff from ECM
 #
 include(FeatureSummary)
-find_package(ECM 5.115.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
find_package(Qt5Test ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
include(ECMMarkAsTest)
include(ECMAddTests)

ecm_add_tests(
   playertest.cpp
   viewtest.cpp
   LINK_LIBRARIES Qt5::Test KF5::MediaPlayer
)

=== debian/changelog ===
kmediaplayer (5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep remaining Kubuntu delta.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 17:47:26 +0100

kmediaplayer (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:43:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.115.0~),
-               libkf5parts-dev (>= 5.115.0~),
-               libkf5xmlgui-dev (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
+               libkf5parts-dev (>= 5.116.0~),
+               libkf5xmlgui-dev (>= 5.116.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                xauth,
@@ -42,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.115.0~),
+         libkf5parts-dev (>= 5.116.0~),
          ${misc:Depends},
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,

## kmediaplayer 5.116.0+p24.04+vstable+git20250729.0221

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KMediaPlayer VERSION ${KF_VERSION})
